#ifndef EXPORTS_H
#define EXPORTS_H

#include <qdir.h>
#include <qstring.h>
#include <iostream>

#include "mapcenterobj.h"
#include "settings.h"

///////////////////////////////////////////////////////////////////////

class ExportBase
{
public:
	ExportBase();
	void setDir(const QString &);
	void setFile(const QString &);
	void setMapCenter (MapCenterObj*);
	void setIndentPerDepth (QString);
protected:  
	QString getSectionString (BranchObj*);
public:	
	void exportXML();

protected:
	QDir tmpDir;
	QString outputDir;
	QString outputFile;
	MapCenterObj *mapCenter;
	QString	indentPerDepth;
};

///////////////////////////////////////////////////////////////////////
class ExportLaTeX:public ExportBase
{
public:
	void exportLaTeX();
};	

///////////////////////////////////////////////////////////////////////
class ExportOO:public ExportBase
{
public:
	ExportOO();
	~ExportOO();
	void exportPresentation();
	bool setConfigFile (const QString &);
private:
	QString buildList (BranchObj*);
	bool useSections;
	QString configFile;
	QString configDir;
	QString templateDir;
	QString content;
	QString contentTemplate;
	QString contentTemplateFile;
	QString contentFile;
	QString pageTemplate;
	QString pageTemplateFile;
	QString sectionTemplate;
	QString sectionTemplateFile;
};
#endif
