#include <qmessagebox.h>

#include "imports.h"
#include "file.h"
#include "linkablemapobj.h"
#include "misc.h"
#include "mainwindow.h"
#include "xsltproc.h"

extern Main *mainWindow;

ImportBase::ImportBase()
{
	// Create tmpdir
	tmpDir.setPath (makeUniqueDir("/tmp/vym-XXXXXX"));
}


ImportBase::~ImportBase()
{
	// Remove tmpdir
	removeDir (tmpDir);
}

void ImportBase::setDir(const QString &p)
{
	inputDir=p;
}

void ImportBase::setFile (const QString &p)
{
	inputFile=p;
}

void ImportBase::setMapCenter(MapCenterObj *mc)
{
	mapCenter=mc;
}

/////////////////////////////////////////////////
void ImportKDEBookmarks::transform()
{
	transformedFile=tmpDir.path()+"/bookmarks.xml";

	XSLTProc p;
	p.setInputFile (tmpDir.home().path()+"/.kde/share/apps/konqueror/bookmarks.xml");
	p.setOutputFile (transformedFile);
	p.setXSLFile ("styles/kdebookmarks2vym.xsl");
	p.process();
}

QString ImportKDEBookmarks::getTransformedFile()
{
	return transformedFile;
}

